#pragma once
#include "Entity.h"
#define CS_SKULLHEADSETTER_CREATENAME L"CS_skullhead_setter"
//÷¼÷ÃÍ·¹ÇÉú³ÉÆ÷
class CS_SkullheadSetter :
    public Entity
{
public:
    CS_SkullheadSetter();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    std::vector<int> argbuff;
    int setInterval = 0;
};

std::shared_ptr<Entity> CreateCS_SkullheadSetter();